Package org.gradle.api.tasks.scala

## Class ScalaDocOptions

- java.lang.Object
- - org.gradle.api.tasks.compile.AbstractOptions
  - - org.gradle.api.tasks.scala.ScalaDocOptions

- All Implemented Interfaces:
    `java.io.Serializable`

      public class ScalaDocOptions
      extends AbstractOptions

  Options for the ScalaDoc tool.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ScalaDocOptions()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<java.lang.String>` | `getAdditionalParameters()` | Returns the additional parameters passed to the compiler.
    `protected java.lang.String` | `getAntPropertyName​(java.lang.String fieldName)` |
    `protected java.lang.Object` | `getAntPropertyValue​(java.lang.String fieldName, java.lang.Object value)` |
    `java.lang.String` | `getBottom()` | Returns the HTML text to appear in the bottom text for each page.
    `java.lang.String` | `getDocTitle()` | Returns the HTML text to appear in the main frame title.
    `java.lang.String` | `getFooter()` | Returns the HTML text to appear in the footer for each page.
    `java.lang.String` | `getHeader()` | Returns the HTML text to appear in the header for each page.
    `java.lang.String` | `getTop()` | Returns the HTML text to appear in the top text for each page.
    `java.lang.String` | `getWindowTitle()` | Returns the text to appear in the window title.
    `boolean` | `isDeprecation()` | Tells whether to generate deprecation information.
    `boolean` | `isUnchecked()` | Tells whether to generate unchecked information.
    `void` | `setAdditionalParameters​(java.util.List<java.lang.String> additionalParameters)` | Sets the additional parameters passed to the compiler.
    `void` | `setBottom​(java.lang.String bottom)` | Sets the HTML text to appear in the bottom text for each page.
    `void` | `setDeprecation​(boolean deprecation)` | Sets whether to generate deprecation information.
    `void` | `setDocTitle​(java.lang.String docTitle)` | Sets the HTML text to appear in the main frame title.
    `void` | `setFooter​(java.lang.String footer)` | Sets the HTML text to appear in the footer for each page.
    `void` | `setHeader​(java.lang.String header)` | Sets the HTML text to appear in the header for each page.
    `void` | `setTop​(java.lang.String top)` | Sets the HTML text to appear in the top text for each page.
    `void` | `setUnchecked​(boolean unchecked)` | Sets whether to generate unchecked information.
    `void` | `setWindowTitle​(java.lang.String windowTitle)` | Sets the text to appear in the window title.

    - ### Methods inherited from class org.gradle.api.tasks.compile.AbstractOptions

      `define, excludeFromAntProperties, optionMap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScalaDocOptions

          public ScalaDocOptions()

  - ### Method Detail

    - #### isDeprecation

          @Input
          public boolean isDeprecation()

      Tells whether to generate deprecation information.

    - #### setDeprecation

          public void setDeprecation​(boolean deprecation)

      Sets whether to generate deprecation information.

    - #### isUnchecked

          @Input
          public boolean isUnchecked()

      Tells whether to generate unchecked information.

    - #### setUnchecked

          public void setUnchecked​(boolean unchecked)

      Sets whether to generate unchecked information.

    - #### getWindowTitle

          @Nullable
          @Optional
          @Input
          public java.lang.String getWindowTitle()

      Returns the text to appear in the window title.

    - #### setWindowTitle

          public void setWindowTitle​(@Nullable
                                     java.lang.String windowTitle)

      Sets the text to appear in the window title.

    - #### getDocTitle

          @Nullable
          @Optional
          @Input
          public java.lang.String getDocTitle()

      Returns the HTML text to appear in the main frame title.

    - #### setDocTitle

          public void setDocTitle​(@Nullable
                                  java.lang.String docTitle)

      Sets the HTML text to appear in the main frame title.

    - #### getHeader

          @Nullable
          @Optional
          @Input
          public java.lang.String getHeader()

      Returns the HTML text to appear in the header for each page.

    - #### setHeader

          public void setHeader​(@Nullable
                                java.lang.String header)

      Sets the HTML text to appear in the header for each page.

    - #### getFooter

          @Nullable
          @Optional
          @Input
          public java.lang.String getFooter()

      Returns the HTML text to appear in the footer for each page.

    - #### setFooter

          public void setFooter​(@Nullable
                                java.lang.String footer)

      Sets the HTML text to appear in the footer for each page.

    - #### getTop

          @Nullable
          @Optional
          @Input
          public java.lang.String getTop()

      Returns the HTML text to appear in the top text for each page.

    - #### setTop

          public void setTop​(@Nullable
                             java.lang.String top)

      Sets the HTML text to appear in the top text for each page.

    - #### getBottom

          @Nullable
          @Optional
          @Input
          public java.lang.String getBottom()

      Returns the HTML text to appear in the bottom text for each page.

    - #### setBottom

          public void setBottom​(@Nullable
                                java.lang.String bottom)

      Sets the HTML text to appear in the bottom text for each page.

    - #### getAdditionalParameters

          @Nullable
          @Optional
          @Input
          public java.util.List<java.lang.String> getAdditionalParameters()

      Returns the additional parameters passed to the compiler. Each parameter starts with '-'.

    - #### setAdditionalParameters

          public void setAdditionalParameters​(@Nullable
                                              java.util.List<java.lang.String> additionalParameters)

      Sets the additional parameters passed to the compiler. Each parameter must start with '-'.

    - #### getAntPropertyName

          protected java.lang.String getAntPropertyName​(java.lang.String fieldName)

      Overrides:
        `getAntPropertyName` in class `AbstractOptions`

    - #### getAntPropertyValue

          protected java.lang.Object getAntPropertyValue​(java.lang.String fieldName,
                                                         java.lang.Object value)

      Overrides:
        `getAntPropertyValue` in class `AbstractOptions`